Create a text completion (legacy)
curl --request POST \
--url https://api.refuseless.com/v1/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "glm-5.3-abliterated",
"prompt": "Write a tight system prompt."
}
'import requests
url = "https://api.refuseless.com/v1/completions"
payload = {
"model": "glm-5.3-abliterated",
"prompt": "Write a tight system prompt."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'glm-5.3-abliterated', prompt: 'Write a tight system prompt.'})
};
fetch('https://api.refuseless.com/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.refuseless.com/v1/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'glm-5.3-abliterated',
'prompt' => 'Write a tight system prompt.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.refuseless.com/v1/completions"
payload := strings.NewReader("{\n \"model\": \"glm-5.3-abliterated\",\n \"prompt\": \"Write a tight system prompt.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.refuseless.com/v1/completions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"glm-5.3-abliterated\",\n \"prompt\": \"Write a tight system prompt.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.refuseless.com/v1/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"glm-5.3-abliterated\",\n \"prompt\": \"Write a tight system prompt.\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "text_completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"text": "<string>",
"finish_reason": "<string>"
}
],
"usage": {}
}{
"error": {
"code": "invalid_key",
"message": "<string>",
"type": "api_error"
}
}{
"error": {
"code": "invalid_key",
"message": "<string>",
"type": "api_error"
}
}Completions
Create a text completion (legacy)
Legacy prompt endpoint. Adapts prompt to chat messages and delegates. No tool-calling or reasoning channel — tool_calls finish reasons map to stop. Prefer chat completions for new integrations.
POST
/
v1
/
completions
Create a text completion (legacy)
curl --request POST \
--url https://api.refuseless.com/v1/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "glm-5.3-abliterated",
"prompt": "Write a tight system prompt."
}
'import requests
url = "https://api.refuseless.com/v1/completions"
payload = {
"model": "glm-5.3-abliterated",
"prompt": "Write a tight system prompt."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'glm-5.3-abliterated', prompt: 'Write a tight system prompt.'})
};
fetch('https://api.refuseless.com/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.refuseless.com/v1/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'glm-5.3-abliterated',
'prompt' => 'Write a tight system prompt.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.refuseless.com/v1/completions"
payload := strings.NewReader("{\n \"model\": \"glm-5.3-abliterated\",\n \"prompt\": \"Write a tight system prompt.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.refuseless.com/v1/completions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"glm-5.3-abliterated\",\n \"prompt\": \"Write a tight system prompt.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.refuseless.com/v1/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"glm-5.3-abliterated\",\n \"prompt\": \"Write a tight system prompt.\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "text_completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"text": "<string>",
"finish_reason": "<string>"
}
],
"usage": {}
}{
"error": {
"code": "invalid_key",
"message": "<string>",
"type": "api_error"
}
}{
"error": {
"code": "invalid_key",
"message": "<string>",
"type": "api_error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json